Name: ovmport
Version: 1.0
Release: 8%{?dist}
Summary: Ovmport implements Dom0-DomU communications via xenstore operations.
License: GPLv2
Group: Applications/System
URL: http://www.oracle.com/virtualization
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: xen-devel, device-mapper-multipath-libs = 0.4.9
Requires: xen-tools, device-mapper-multipath-libs = 0.4.9

Patch1: dummy.patch
Patch2: rev19.patch
Patch3: rev35.patch
Patch4: rev39.patch
Patch5: rev50.patch
Patch6: rev68.patch
Patch7: rev74.patch
# End Oracle Patches

%description
Ovmport implements communications between Dom0 and DomU processes using libxenstore API.

%prep
%setup -q
%patch1 -p0 
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0 -E
%patch6 -p0 -E
%patch7 -p0 -E

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 = 1 ]; then
    /sbin/chkconfig --add ovmport
fi

%preun
if [ $1 = 0 ]; then
    /sbin/service ovmport stop >/dev/null 2>&1
    /sbin/chkconfig --del ovmport
fi

%files
%defattr(-,root,root)
%doc COPYING README
%{_sysconfdir}/init.d/ovmport
%config %{_sysconfdir}/sysconfig/ovmport
%{_sbindir}/ovmport

%changelog
* Wed Jan 10 2018 Srini Naravaram <srini.naravaram@oracle.com> - 1.0-8 
- Print DEBUG message instead of WARNING if customer is using luns which don't support 0x84?194?160page as seen ( from?194?160sg_inq --p 0x84?194?160 command on OVS server).
  EMC storage luns triggered this issue for this customer.
  Signed-off-by: alexandre.khodakovski@oracle.com [bug 26932873] [bug -] [bug WARNING]  

* Mon Jul 17 2017 Alexandre Khodakovski <alexandre.khodakovski@oracle.com> - 1.0-7 
- Do not log SG_IO ioctl failures for non-SCSI devices. 

* Thu Dec 15 2016 Alexandre Khodakovski <alexandre.khodakovski@oracle.com> - 1.0-6 
- Use multiple threads to process SCSI requests. [bug 25165763]  

* Mon Aug 29 2016 Alexandre Khodakovski <alexandre.khodakovski@oracle.com> - 1.0-5 
- Do not error if /local/domain/0/backend/vbd key is missing in xenstore. [bug 24557825]  

* Mon Aug 29 2016 Alexandre Khodakovski <alexandre.khodakovski@oracle.com> - 1.0-4 
- Do not error if /local/domain/0/backend/vbd key is missing in xenstore. [bug 24557825]  

* Wed Aug 17 2016 Alexandre Khodakovski <alexandre.khodakovski@oracle.com> - 1.0-3 
- Use multipath API (instead of SG_IO ioctl) for "PERSISTENT RESERVE OUT" SCSI command. [bug 24436025]  

* Wed Aug 17 2016 Alexandre Khodakovski <alexandre.khodakovski@oracle.com> - 1.0-2.el6
- requires device-mapper-multipath-libs=0.4.9 [bug 24478369]

* Wed Aug 03 2016 Alexandre Khodakovski <alexandre.khodakovski@oracle.com> - 1.0-1.el6
- initialize 
